Ogre 3D conflicts with Nvidia's openGL implementation?

There is a libogre-1.9-dev package installed in my system. Is it similar to the mesa libraries and conflicts with Nvidia’s opengl implementation?